<?php defined("SYSPATH") or die("No direct script access.");
/**
 * Gallery - a web based photo album viewer and editor
 * Copyright (C) 2000-2010 Bharat Mediratta
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street - Fifth Floor, Boston, MA  02110-1301, USA.
 */
class recent_album_highlight_theme_Core {
  static function thumb_top($theme, $child) {
    $record = ORM::factory("recent_album_highlight")->where("item_id", "=", $child->id)->count_all();
	if ((!$record) &&  ($child->is_album())){
	    if (module::get_var("recent_album_highlight", "subalbums") == true) {
		  $rcnt = ORM::factory("item")->viewable()
			  ->where("type", "=", "photo")
			  ->where("left_ptr", ">=", $child->left_ptr)
			  ->where("right_ptr", "<=", $child->right_ptr)
			  ->order_by("created", "DESC")
			  ->find();
		} else {
		  $rcnt = ORM::factory("item")->viewable()
			  ->where("type", "=", "photo")
			  ->where("parent_id", "=", $child->id)
			  ->order_by("created", "DESC")
			  ->find();
		}
	  if ($rcnt->loaded()) {
	    $view = new View("code_thumb_top.html");
	    $view->child = $child;
	    $view->rcnt = $rcnt;
	    print $view;
	  }
	}
  }
}
